"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Overlay = Overlay;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _index = require("./index");

var _context = require("./context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// This is iOS/Android only implementation. Refer Overlay.web.tsx for Web implementation
function Overlay(props) {
  const {
    isOpen,
    children,
    onClose,
    focusable = true
  } = props;

  if (!isOpen) {
    return null;
  } // If focusable we render it in RN modal so it shifts accessibility focus


  const content = focusable ? /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: true,
    transparent: true
  }, children) : /*#__PURE__*/_react.default.createElement(_index.OverlayContainer, null, children);
  return /*#__PURE__*/_react.default.createElement(_context.OverlayContext.Provider, {
    value: {
      onClose
    }
  }, content);
}
//# sourceMappingURL=Overlay.js.map