import React from 'react';
import { Modal } from 'react-native';
import { OverlayContainer } from './index';
import { OverlayContext } from './context'; // This is iOS/Android only implementation. Refer Overlay.web.tsx for Web implementation

export function Overlay(props) {
  const {
    isOpen,
    children,
    onClose,
    focusable = true
  } = props;

  if (!isOpen) {
    return null;
  } // If focusable we render it in RN modal so it shifts accessibility focus


  const content = focusable ? /*#__PURE__*/React.createElement(Modal, {
    visible: true,
    transparent: true
  }, children) : /*#__PURE__*/React.createElement(OverlayContainer, null, children);
  return /*#__PURE__*/React.createElement(OverlayContext.Provider, {
    value: {
      onClose
    }
  }, content);
}
//# sourceMappingURL=Overlay.js.map